<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('upis', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            //type enum: upi, qr, bank
            $table->enum('type', ['upi', 'qr', 'bank']);
            $table->string('upi_id');
            $table->string('qr');
            $table->string('bank');
            $table->string('banking_name');
            $table->bigInteger('account_number');
            $table->string('ifsc');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('upis');
    }
};
